com.holonplatform.jaxrs.client

## Interface JaxrsAsyncRestClient

- All Superinterfaces:
    com.holonplatform.async.http.AsyncRestClient, com.holonplatform.http.rest.RestClientOperations<com.holonplatform.async.http.AsyncRestClient,com.holonplatform.async.http.AsyncRestClient.AsyncRequestDefinition>
  All Known Implementing Classes:
    JaxrsClientAsyncRestClient

      public interface JaxrsAsyncRestClient
      extends com.holonplatform.async.http.AsyncRestClient

  An `AsyncRestClient` using a JAX-RS `Client` to perform invocations.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.async.http.AsyncRestClient

      `com.holonplatform.async.http.AsyncRestClient.AsyncInvocation, com.holonplatform.async.http.AsyncRestClient.AsyncRequestDefinition`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.http.rest.RestClientOperations

      `com.holonplatform.http.rest.RestClientOperations.InvocationOperations<RE,RP,RS,RL,RU>, com.holonplatform.http.rest.RestClientOperations.RequestConfiguration<R extends com.holonplatform.http.rest.RestClientOperations.RequestConfiguration<R>>`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.holonplatform.async.http.AsyncRestClient` | `create()` Create a `AsyncRestClient` using the default client builder implementation class provided by the JAX-RS implementation provider.
    `static com.holonplatform.async.http.AsyncRestClient` | `create(javax.ws.rs.client.Client client)` Create a `AsyncRestClient` using given JAX-RS `client`.
    `javax.ws.rs.client.Client` | `getClient()` Get the JAX-RS Client bound to this `AsyncRestClient`.

    - ### Methods inherited from interface com.holonplatform.async.http.AsyncRestClient

      `create, create, create, forTarget, forTarget`

    - ### Methods inherited from interface com.holonplatform.http.rest.RestClientOperations

      `clearDefaultHeaders, defaultTarget, getDefaultTarget, removeDefaultHeader, request, withDefaultHeader`

- - ### Method Detail

    - #### getClient

          javax.ws.rs.client.Client getClient()

      Get the JAX-RS Client bound to this `AsyncRestClient`.
      Returns:
        the JAX-RS Client

    - #### create

          static com.holonplatform.async.http.AsyncRestClient create(javax.ws.rs.client.Client client)

      Create a `AsyncRestClient` using given JAX-RS `client`.
      Parameters:
        `client` - JAX-RS `Client` to perform invocations (not null)
      Returns:
        A new `AsyncRestClient` instance

    - #### create

          static com.holonplatform.async.http.AsyncRestClient create()

      Create a `AsyncRestClient` using the default client builder implementation class provided by the JAX-RS implementation provider.
      Specified by:
        `create` in interface `com.holonplatform.async.http.AsyncRestClient`
      Returns:
        A new `AsyncRestClient` instance

Copyright © 2019 The Holon Platform. All rights reserved.